summaryrefslogtreecommitdiff
path: root/pcr/tcpcrypt
diff options
context:
space:
mode:
authorGaming4JC <g4jc@openmailbox.org>2015-07-25 14:29:55 -0400
committerGaming4JC <g4jc@openmailbox.org>2015-07-25 14:29:55 -0400
commit38cb4e3c96e4130ce46d3f4a902056ea98a81db0 (patch)
treeb5bbdb1a3fdd5c229a2b99d09b507d2648cad6fa /pcr/tcpcrypt
parent099e1f9a926792eedd9a4f97ea54d550fdda39cd (diff)
PKGBUILD bugfix
Diffstat (limited to 'pcr/tcpcrypt')
-rw-r--r--pcr/tcpcrypt/PKGBUILD6
-rw-r--r--pcr/tcpcrypt/PKGBUILD.sigbin543 -> 543 bytes
-rw-r--r--pcr/tcpcrypt/v0.3-rc1.tar.gzbin0 -> 183008 bytes
3 files changed, 3 insertions, 3 deletions
diff --git a/pcr/tcpcrypt/PKGBUILD b/pcr/tcpcrypt/PKGBUILD
index 28ace4614..5260e1e2f 100644
--- a/pcr/tcpcrypt/PKGBUILD
+++ b/pcr/tcpcrypt/PKGBUILD
@@ -28,14 +28,14 @@ sha512sums=('53fcbe63bd0cd65d50341312972f393620058269cf027d283ca033392d6582cf7c0
'0d64943f2bc778cbf1a52debe349413f00b729d605d26f35e1335c8e4c0f9aff8526593835d48e4e4847e0fcada2c6a980f60baddb2c66eb445099a9f89bdaeb')
pkgver() {
-tar -ztvf $pkgname-$pkgver.tar.gz | head -n1 | awk '{print $6}' | sed "s/tcpcrypt-//" | sed "s/\///" # get latest version number
+tar -ztvf v$pkgver-rc1.tar.gz | head -n1 | awk '{print $6}' | sed "s/tcpcrypt-//" | sed "s/\///" | sed "s/-rc1///" # get latest version number
}
build() {
gpg --verify PKGBUILD.sig PKGBUILD
echo "Note: If the GPG verification fails, import the PKGBUILD maintainer's GPG key. See: https://wiki.parabola.nu/GnuPG#Import_key"
- whirlpoolsum=('e2573f8f1d5568c9c8f863975f3c02159821aa5c6c3a35d45398eaa84e229e7c24135c0466cfb71ee3bd7132097e29f8afcb43cb60bfb0d7f2a01237c33d5320')
- [[ "$(openssl dgst -r -whirlpool $pkgname-$pkgver-rc1.tar.gz | awk '{print $1}')" = ${whirlpoolsum} ]] && echo "Whirlpool checksum passed." || { echo "Whirlpool checksum failed!!" ; exit 1; } # This is an added security layer. If SHA512 for some unlikely reason fails, whirlpool will check and abort if it too fails to match.
+ whirlpoolsum=('d01ed6db2d02a0dee8a6d89e116c9ca56575a4085a83be18342c59e54f6df13a370a63716d9aeb1a3d0ea898927b98bcdb3ea9951d68c354b6e33a9547b8ef56')
+ [[ "$(openssl dgst -r -whirlpool v$pkgver-rc1.tar.gz | awk '{print $1}')" = ${whirlpoolsum} ]] && echo "Whirlpool checksum passed." || { echo "Whirlpool checksum failed!!" ; exit 1; } # This is an added security layer. If SHA512 for some unlikely reason fails, whirlpool will check and abort if it too fails to match.
cd $pkgname-$pkgver
./configure --prefix=/usr
make
diff --git a/pcr/tcpcrypt/PKGBUILD.sig b/pcr/tcpcrypt/PKGBUILD.sig
index 693404f57..36c62ce9e 100644
--- a/pcr/tcpcrypt/PKGBUILD.sig
+++ b/pcr/tcpcrypt/PKGBUILD.sig
Binary files differ
diff --git a/pcr/tcpcrypt/v0.3-rc1.tar.gz b/pcr/tcpcrypt/v0.3-rc1.tar.gz
new file mode 100644
index 000000000..468b1ead0
--- /dev/null
+++ b/pcr/tcpcrypt/v0.3-rc1.tar.gz
Binary files differ